Subject: bug#37590: 27.0.50; gnus-group-set-info setcdr exception

From: Eric Abrahamsen <[email-masked]>
Date: Wed, 02 Oct 2019 13:53:16 -0700

dick <[email-masked]> writes:

> From 92862ab4d7e9f8400229add13a6e16e437d6dbd3 Mon Sep 17 00:00:00 2001
> From: dickmao <none>
> Date: Wed, 2 Oct 2019 14:22:26 -0400
> Subject: [PATCH] Avoid setcdr exception when gnus-newsrc-alist is empty

Yeah, this is something we've been looking at in #36903. In the case of
debbugs-gnu, Gnus isn't actually started up at all, and
gnus-newsrc-alist hasn't been initialized. I think it would be better
just to skip that clause altogether when gnus-newsrc-alist is nil,
rather than setting it like this.